Package org.gradle.api.plugins

# Class JavaTestFixturesPlugin

java.lang.Object
org.gradle.api.plugins.JavaTestFixturesPlugin

All Implemented Interfaces:
  `Plugin<Project>`

public abstract class JavaTestFixturesPlugin extends Object implements Plugin<Project>
Adds support for producing test fixtures. This plugin will automatically create a `testFixtures` source set, and wires the tests to use those test fixtures automatically. Other projects may consume the test fixtures of the current project by declaring a dependency using the `DependencyHandler.testFixtures(Object)` method. This should really be named `JVMTestFixturesPlugin`, as there is no requirement for the test fixtures to be written in Java, any supported JVM language will work.

Since:
  5.6
See Also:
  - Java Test Fixtures reference

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaTestFixturesPlugin()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `apply(Project project)`
  Apply this plugin to the given target object.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaTestFixturesPlugin

    @Inject public JavaTestFixturesPlugin()

- ## Method Details

  - ### apply

    public void apply(Project project)
    Description copied from interface: `Plugin`
    Apply this plugin to the given target object.
    Specified by:
      `apply` in interface `Plugin<Project>`
    Parameters:
      `project` - The target object